org.apache.pdfbox.pdmodel.interactive.action

## Class PDURIDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDURIDictionary

All Implemented Interfaces:
  COSObjectable

    public class PDURIDictionary
    extends Object
    implements COSObjectable

This is the implementation of an URI dictionary.

### Constructor Summary

Constructors
Constructor and Description
`PDURIDictionary()` Constructor.
`PDURIDictionary(COSDictionary dictionary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBase()` This will get the base URI to be used in resolving relative URI references.
`COSDictionary` `getCOSObject()` Returns the corresponding dictionary.
`void` `setBase(String base)` This will set the base URI to be used in resolving relative URI references.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDURIDictionary

    public PDURIDictionary()

Constructor.

#### PDURIDictionary

    public PDURIDictionary(COSDictionary dictionary)

Constructor.

Parameters:
  `dictionary` - the corresponding dictionary

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Returns the corresponding dictionary.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  the dictionary

#### getBase

    public String getBase()

This will get the base URI to be used in resolving relative URI references. URI actions within the document may specify URIs in partial form, to be interpreted relative to this base address. If no base URI is specified, such partial URIs will be interpreted relative to the location of the document itself. The use of this entry is parallel to that of the body element <BASE>, as described in the HTML 4.01 Specification.

Returns:
  The URI entry of the specific URI dictionary.

#### setBase

    public void setBase(String base)

This will set the base URI to be used in resolving relative URI references. URI actions within the document may specify URIs in partial form, to be interpreted relative to this base address. If no base URI is specified, such partial URIs will be interpreted relative to the location of the document itself. The use of this entry is parallel to that of the body element <BASE>, as described in the HTML 4.01 Specification.

Parameters:
  `base` - The base URI to be used.